View Issue Details

IDProjectCategoryView StatusLast Update
0002170Ham Radio DeluxeBugpublic2017-08-05 18:27
Reporterw4ase 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.671 
Summary0002170: Rig control buttons display wrong graphic
DescriptionI installed v668 this morning on my test computer (it had v664 on it) I noticed in rig control the band buttons were mislabeled. You can see that rather than ALT, Gen 160m, 80M, 60M, 40m, on the far left is shows 10m and on down till you see two 30m's. The buttons on the left do take you to the right place so it is the button graphic not the action - for example the first 30m you come to from the left does take you to 40M - then after that the buttons are correct. This is on an FT5000. So I connected to a FT-2000 demo and the same thing. Next I reverted back to 667 (when I started today I was on 664) it showed the same thing. So I went back to 664 and it shows the correct button labels. I did post on the Beta testers Forum and Ferry PD9fer said he was seeing the same thing. the screen shot is attached.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleGeneral
Testing Beta Successful

Relationships

Activities

w4ase

2017-07-31 12:56

viewer  

v668.JPG (90,011 bytes)
v668.JPG (90,011 bytes)

PD9FER

2017-07-31 14:32

viewer   ~0003795

Confirmed!

K7ZCZ

2017-08-01 23:19

viewer   ~0003816

I wrote some terrible code. Fixed it with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3716

g3ucq

2017-08-02 01:08

viewer   ~0003819

Fixed

w4ase

2017-08-02 09:49

viewer   ~0003826

Yep I installed v669 this morning and my Band graphics are back to normal. Thanks

WA9PIE

2017-08-02 15:52

administrator   ~0003847

Verified as fixed

WA9PIE

2017-08-05 18:13

administrator   ~0003898

All completed during the 670 build/release.

Issue History

Date Modified Username Field Change
2017-07-31 12:56 w4ase New Issue
2017-07-31 12:56 w4ase File Added: v668.JPG
2017-07-31 14:32 PD9FER Note Added: 0003795
2017-08-01 10:22 K7ZCZ Assigned To => K7ZCZ
2017-08-01 10:22 K7ZCZ Status new => assigned
2017-08-01 10:22 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-08-01 21:22 K7ZCZ Module (select) => Rig Control
2017-08-01 21:22 K7ZCZ Sub-Module (select) => General
2017-08-01 21:22 K7ZCZ Testing => Not Started
2017-08-01 23:19 K7ZCZ Status assigned => resolved
2017-08-01 23:19 K7ZCZ Resolution open => fixed
2017-08-01 23:19 K7ZCZ Note Added: 0003816
2017-08-02 01:08 g3ucq Note Added: 0003819
2017-08-02 07:31 K7ZCZ Fixed in Version => 6.4.0.669
2017-08-02 09:49 w4ase Note Added: 0003826
2017-08-02 15:52 WA9PIE Testing Not Started => Beta Successful
2017-08-02 15:52 WA9PIE Note Added: 0003847
2017-08-05 18:09 WA9PIE Fixed in Version 6.4.0.669 => 6.4.0.670
2017-08-05 18:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-08-05 18:13 WA9PIE Note Added: 0003898
2017-08-05 18:13 WA9PIE Status resolved => closed
2017-08-05 18:27 WA9PIE Fixed in Version 6.4.0.670 => 6.4.0.671